Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class DatabaseObjectDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  NestedTableDefinition, PackageDefinition, SequenceDefinition, StoredProcedureDefinition, TableDefinition, TypeDefinition, VarrayDefinition, ViewDefinition

public abstract class DatabaseObjectDefinition
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: Define a database object for the purpose of creation and deletion. A database object is an entity such as a table, view, proc, sequence...

Responsibilities:

- Be able to create and drop the object from the database.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `name`
`java.lang.String` | `qualifier`

Constructor Summary
`DatabaseObjectDefinition()`

Method Summary
`java.lang.Object` | `clone()` PUBLIC:
`java.lang.String` | `getName()` PUBLIC: Return the name of the object.
`java.lang.String` | `getQualifier()` PUBLIC: Most major databases support a creator name scope.
`void` | `setName(java.lang.String name)` PUBLIC: Set the name of the object.
`void` | `setQualifier(java.lang.String qualifier)` PUBLIC: Most major databases support a creator name scope.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### qualifier

    public java.lang.String qualifier

Constructor Detail

### DatabaseObjectDefinition

    public DatabaseObjectDefinition()

Method Detail

### clone

    public java.lang.Object clone()

  PUBLIC:

### getName

    public java.lang.String getName()

  PUBLIC: Return the name of the object. i.e. the table name or the sequence name.

### getQualifier

    public java.lang.String getQualifier()

  PUBLIC: Most major databases support a creator name scope. This means whenever the database object is referecned, it must be qualified.

### setName

    public void setName(java.lang.String name)

  PUBLIC: Set the name of the object. i.e. the table name or the sequence name.

### setQualifier

    public void setQualifier(java.lang.String qualifier)

  PUBLIC: Most major databases support a creator name scope. This means whenever the database object is referecned, it must be qualified.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD